gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.ModelView.CellEditable

Contents

- Detail
- Class Hierarchy
- Types
- Methods
- Attributes
- Signals

Description

Interface for widgets which can are used for editing cells

Synopsis

- data CellEditable
- class GObjectClass o => CellEditableClass o
- castToCellEditable :: GObjectClass obj => obj -> CellEditable
- toCellEditable :: CellEditableClass o => o -> CellEditable
- cellEditableStartEditing :: CellEditableClass self => self -> EventM EAny ()
- cellEditableEmitEditingDone :: CellEditableClass self => self -> IO ()
- cellEditableEmitRemoveWidget :: CellEditableClass self => self -> IO ()
- cellEditableEditingCanceled :: CellEditableClass self => Attr self Bool
- cellEditableEditingDone :: CellEditableClass self => Signal self (IO ())
- cellEditableRemoveWidget :: CellEditableClass self => Signal self (IO ())

# Detail

The `CellEditable` interface must be implemented for widgets to be usable when editing the contents of a `TreeView` cell.

# Class Hierarchy

    | GInterface
    | +----CellEditable

# Types

data CellEditable Source #

#### Instances

Instances details

Eq CellEditable Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: CellEditable -> CellEditable -> Bool Source # (/=) :: CellEditable -> CellEditable -> Bool Source #
Ord CellEditable Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: CellEditable -> CellEditable -> Ordering Source #

(<) :: CellEditable -> CellEditable -> Bool Source #

(<=) :: CellEditable -> CellEditable -> Bool Source #

(>) :: CellEditable -> CellEditable -> Bool Source #

(>=) :: CellEditable -> CellEditable -> Bool Source #

max :: CellEditable -> CellEditable -> CellEditable Source #

min :: CellEditable -> CellEditable -> CellEditable Source #

GObjectClass CellEditable Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: CellEditable -> GObject Source # unsafeCastGObject :: GObject -> CellEditable Source #
CellEditableClass CellEditable Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class GObjectClass o => CellEditableClass o Source #

#### Instances

Instances details

CellEditableClass CellEditable Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToCellEditable :: GObjectClass obj => obj -> CellEditable Source #

toCellEditable :: CellEditableClass o => o -> CellEditable Source #

# Methods

cellEditableStartEditing :: CellEditableClass self => self -> EventM EAny () Source #

Begins editing on a `cellEditable`. `event` is the `Event` that began the editing process.

cellEditableEmitEditingDone :: CellEditableClass self => self -> IO () Source #

Emits the `cellEditableEditingDone` signal.

cellEditableEmitRemoveWidget :: CellEditableClass self => self -> IO () Source #

Emits the `cellEditableRemoveWidget` signal.

# Attributes

cellEditableEditingCanceled :: CellEditableClass self => Attr self Bool Source #

Indicates whether editing on the cell has been canceled.

Default value: `False`

- Available since Gtk+ version 2.20

# Signals

cellEditableEditingDone :: CellEditableClass self => Signal self (IO ()) Source #

This signal is a sign for the cell renderer to update its value from the `cellEditable`.

Implementations of `CellEditable` are responsible for emitting this signal when they are done editing, e.g. `Entry` is emitting it when the user presses Enter.

`cellEditableEmitEditingDone` is a convenience method for emitting ::editing-done.

cellEditableRemoveWidget :: CellEditableClass self => Signal self (IO ()) Source #

This signal is meant to indicate that the cell is finished editing, and the widget may now be destroyed.

Implementations of `CellEditable` are responsible for emitting this signal when they are done editing. It must be emitted after the `cellEditableEditingDone` signal, to give the cell renderer a chance to update the cell's value before the widget is removed.

`cellEditableEmitRemoveWidget` is a convenience method for emitting ::remove-widget.